login/urls.py
from django.conf.urls import url
from . import views
from django.urls import path

app_name = 'login'
urlpatterns = [
    path('login_account/', views.login, name = 'login_account'),
    path('tampilan/', views.tampilan, name = 'tampilan'),
    path('logout_account/', views.logout, name = 'logout_account'),
]

websitestory9ppw/urls.py
from django.contrib import admin
from django.urls import path,include

urlpatterns = [
    path('admin/', admin.site.urls),
    path('login/', include('login.urls')),
]

login/models.py
from django.db import models

# Create your models here.

login/views.py
from django.shortcuts import render
from django.urls import reverse
from django.http import HttpResponse
from django.contrib import messages
from django.contrib.auth import authenticate
from django.http import HttpResponseRedirect

# Create your views here.

def login(request):
    if request.method == "POST":
        user = authenticate (username = request.POST.get('username'), password = request.POST.get('username'))
        if user is not None:
            login(request, user)
            request.session['username'] = username
            response['username'] = request.session['username']
            return redirect(reverse('login:login_account'))
            #return render(request, 'tampilan.html')
        else:
            messages.add_message(request, messages.ERROR, 'Error account')
    return render(request, 'login.html')

def tampilan(request):
    return render(request, 'tampilan.html')

def logout(request):
    request.session.flush()
    messages.add_message(request, messages.INFO, 'Successfull logout!')
    logout(request)
    return HttpResponseRedirect(reverse('login:login'))
    #return redirect('login/login_account/')

login/templates/base.html
<!DOCTYPE html>
{% load static %}
<html>
<head>
	<meta http-equiv="Content-Type" content="text/html; charset=UTF-8"/>
	<meta name = "viewport" content = "width=device-width, initial-scale=1, shrink-to-fit=no">
	<link rel = "stylesheet" href = "https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/css/bootstrap.min.css" integrity="sha384-ggOyR0iXCbMQv3Xipma34MD+dH/1fQ784/j6cY/iJTQUOhcWr7x9JvoRxT2MZw1T" crossorigin="anonymous">
	<script type = "text/javascript" src = "https://ajax.googleapis.com/ajax/libs/jquery/3.4.1/jquery.min.js"></script>
	<title>Belajar Story dengan JQuery & Javascript</title>
</head>
<body>
	<!--Membuat navigasi bar-->
	<div class = "sticky-top">
	<nav class = "navbar navbar-expand-lg navbar-dark">
		<a class = "navbar-brand" href = "#">My Personal Story</a>
		<button class = "navbar-toggler" type = "button" data-toggle = "collapse" data-target = "#navbarSupportedContent" 
		aria-controls = "navbarSupportedContent" aria-expanded = "false" aria-label = "Toggle navigation">
			<span class = "navbar-toggler-icon"></span>
		</button>

		<div class = "collapse navbar-collapse" id = "navbarSupportedContent">
			<ul class = "navbar-nav mr-auto">
			<li class = "nav-item active">
				<a class = "nav-link" href = "#">Profil</a>
			</li>
			<li class = "nav-item">
				<a class = "nav-link" href = "#">Activity</a>
			</li>
			<li class = "nav-item dropdown">
				<a class = "nav-link dropdown-toggle" href = "#" id = "navbarDropdown" role = "button" data-toggle = "dropdown" aria-haspopup = "true" aria-expanded = "false">
				My Experience
				</a>
				<div class = "dropdown-menu" aria-labelledby = "navbarDropdown">
				<a class = "dropdown-item" href = "#">Formal Education</a>
				<a class = "dropdown-item" href = "#">Non-Formal Education</a>
				<a class = "dropdown-item" href = "#">Organization</a>
				<a class = "dropdown-item" href = "#">Comitee</a>
				</div>
			</li>
			<li class = "nav-item">
				<a class = "nav-link" href = "#">Galery</a>
			</li>
			<li class = "nav-item">
				<a class = "nav-link" href = "#">Contact</a>
			</li>
			<li class = "nav-item dropdown">
				<a class = "nav-link dropdown-toggle" href = "#" id = "navbarDropdown" role = "button" data-toggle = "dropdown" aria-haspopup = "true" aria-expanded = "false">
				Themes
				</a>
				<div class = "dropdown-menu" aria-labelledby = "navbarDropdown">
				<a id = "ganti_tema1" class = "dropdown-item" href = "#">Theme 1</a>
				<a id = "ganti_tema2" class = "dropdown-item" href = "#">Theme 2</a>
				<a id = "ganti_tema3" class = "dropdown-item" href = "#">Theme 3</a>
				<a id = "ganti_tema4" class = "dropdown-item" href = "#">Theme 4</a>
				</div>
			</li>
			</ul>
			<form class = "form-inline my-1 my-lg-1">
			<a href="{% url 'login:logout_account' %}"><button class = "btn btn-outline-success my-2 my-sm-0" type="submit">Logout</button></a>
			</form>
		</div>
	</nav>
	</div>
	
	{% block content %}
    {% endblock %}
	
	<script src = "https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.14.7/umd/popper.min.js" integrity="sha384-UO2eT0CpHqdSJQ6hJty5KVphtPhzWj9WO1clHTMGa3JDZwrnQq4sF86dIHNDz0W1" crossorigin="anonymous"></script>
	<script src = "https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/js/bootstrap.min.js" integrity="sha384-JjSmVgyd0p3pXB1rRibZUAYoIIy6OrQ6VrjIEaFf/nJGzIxFDsf4x0xIM+B07jRM" crossorigin="anonymous"></script>
</body>
</html>

login/templates/login.html
{% extends "base.html" %}
{% load static %}
{% block content %}

	<div class = "container" style = "margin-top:100px">
	<div class="row">
		
		<h3 style = "font-style:justify;">Please Login Here</h3>
			<form action = "{% url 'login:login_account' %}" method = "POST">
				{% csrf_token %}
					{% if messages %} 
					{{ message }}
				{% endif %}
				<div class = 'imgcontainer'>
				<img src = '{% static "image/avatar.png" %}' alt = "avatar" class = "avatar-img">
				</div>
				<div class = "container">
				<input type = "text" placeholder = "Enter Username" aria-label = "Username" name = "uname" style = "font-family:Roboto;" required>
				<input type = "password" placeholder = "Enter Password" aria-label = "Password" name = "pass" style = "font-family:Roboto;" required>
				<a href="{% url 'login:login_account' %}"><button id = "submit-login" type = "submit">Login</button></a>
				<label><input type = "checkbox" checked = "checked">Remember me</label>
				</div>
				<div class = "container" style = "background-color: #f1f1f1">
				<button type = "button" class = "cancelbtn">Cancel</button>
				</div>
			</form>
		
	</div>
	</div>
	<link rel = "stylesheet" type = "text/css" href = "{% static 'css/style.css' %}">
	<!--<script type = "text/javascript" src = "{% static 'js/javascript.js' %}"></script>-->
	<!--<script src = "https://cdnjs.cloudflare.com/ajax/libs/materialize/0.100.2/js/materialize.min.js"></script>-->

{% endblock %}

login/templates/tampilan.html
{% extends "base.html" %}
{% load static %}
{% block content %}

	{% block title %}<h2>Welcome</h2>{% endblock %}

	{% if user.is_authenticated %}
	<h3>Selamat Datang, {{ user.username }}!</h3>
	</br>
	</br>
	{% else %}
	<p>You are not logged in</p>
	<a href = "{% url 'login/login_account/' %}">login?</a>
	{% endif %}
	
{% endblock %}